%% Sentiment for all tickers (sample with two tickers GOOG and AAPL)

%% Pick out all SEC filings in the directory
listing = dir('SECFilings\*.pdf');
numFiles = length(listing);
senVals = zeros(numFiles, 1);

%% Calculate sentiment for all filings (Parfor to speed up)
tic
parfor i = 1:numFiles
    senVals(i) = calculateSentiment(listing(i).name);
end
toc